library(tidyr)
library(ggplot2)
#faili sisselugemine ja andmete formaadi korrigeerimine
J115=read.csv("PT1-T1.1-J1.1.5.csv",header=TRUE, encoding ="UTF-8")
J115=J115[1:12,]
names(J115)[1]=c("Aasta")
J115=pivot_longer(J115,col=names(J115[,2:4]),"Sissetulek")
J115$Sissetulek=as.factor(J115$Sissetulek)
J115$Sissetulek=factor(J115$Sissetulek,levels(J115$Sissetulek)[order(c(2,3,1))])



#joonis
ggplot(J115)+
  geom_line(aes(x=Aasta,y=value,col=Sissetulek),linewidth=1.5)+
  scale_color_manual(values=c("#6666CC","#E06637","#8FA300"), breaks=rev(levels(J115$Sissetulek)))+
  ylab("Eluga pigem rahul olevate inimeste %")+
  scale_x_continuous(breaks=(unique(J115$Aasta)))+
  scale_y_continuous(breaks=c(0,25,50,75,100),limits=c(0,100))+
  theme_minimal()+
  theme(text = element_text(color="#668080"),axis.text=element_text(color="#668080"))
  







